Pipe

List pipes

GET/api/v2/databases/{database}/schemas/{schema}/pipes
List pipes

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Path Parameters

ParameterDescription
database 
Identifier (i.e. name) for the database to which the resource belongs. You can use the `/api/v2/databases` GET request to get a list of available databases.
schema 
Identifier (i.e. name) for the schema to which the resource belongs. You can use the `/api/v2/databases/{database}/schemas` GET request to get a list of available schemas for the specified database.

Query Parameters

ParameterDescription
like string
Parameter to filter the command output by resource name. Uses case-insensitive pattern matching, with support for SQL wildcard characters.

Response

CodeDescription
200
successful
202
Successfully accepted the request, but it is not completed yet.

Create a pipe

POST/api/v2/databases/{database}/schemas/{schema}/pipes
Create a pipe

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Query Parameters

ParameterDescription
createMode string
Parameter allowing support for different modes of resource creation. Possible values include:
  • errorIfExists: Throws an error if you try to create a resource that already exists.
  • orReplace: Automatically replaces the existing resource with the current one.
  • ifNotExists: Creates a new resource when an alter is requested for a non-existent resource.

Response

CodeDescription
200
Successful request.
202

Fetch a pipe

GET/api/v2/databases/{database}/schemas/{schema}/pipes/{name}
Fetch a pipe

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Path Parameters

ParameterDescription
name 
Identifier (i.e. name) for the resource.

Response

CodeDescription
200
successful
202

Delete a pipe

DELETE/api/v2/databases/{database}/schemas/{schema}/pipes/{name}
Delete a pipe

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Query Parameters

ParameterDescription
ifExists boolean
Parameter that specifies how to handle the request for a resource that does not exist:
  • true: The endpoint does not throw an error if the resource does not exist. It returns a 200 success response, but does not take any action on the resource.
  • false: The endpoint throws an error if the resource doesn't exist.

Response

CodeDescription
200
202

Refresh the pipe

POST/api/v2/databases/{database}/schemas/{schema}/pipes/{name}:refresh
Refresh the pipe

For more information

Go to the SQL command page to view more information about arguments, options, privileges requirements, and usage guidelines.

View

Query Parameters

ParameterDescription
prefix string
Path (or prefix) appended to the stage reference in the pipe definition. The path limits the set of files to load.
modified_after string
Timestamp (in ISO-8601 format) of the oldest data files to copy into the Snowpipe ingest queue based on the LAST_MODIFIED date (i.e. date when a file was staged)

Response

CodeDescription
200
202

Set tags on a pipe

POST/api/v2/databases/{database}/schemas/{schema}/pipes/{name}:set-tags
Set tags on a pipe.

Response

CodeDescription
200
202

Unset tags from a pipe

POST/api/v2/databases/{database}/schemas/{schema}/pipes/{name}:unset-tags
Unset tags from a pipe.

Response

CodeDescription
200
202

Get the tag assignments for a pipe

GET/api/v2/databases/{database}/schemas/{schema}/pipes/{name}:get-tags
Returns all tags assigned to a pipe. This operation requires an active warehouse.

Query Parameters

ParameterDescription
withLineage boolean
Parameter that specifies whether tag assignments inherited by the object from its ancestors in securable object hierarchy should be returned as well:
  • true: All tags assigned to this object should be returned, inheritance included.
  • false: Only tags explicitly assigned to this object should be returned.

Response

CodeDescription
200
successful
202